For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Share

Creates a new Share. The full Share needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/clusters/{clusterId}/shares
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
metadataanyOptional

Metadata

Responses
201

Share successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Share.

Example: /clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868
post/clusters/{clusterId}/shares
POST /clusters/{clusterId}/shares HTTP/1.1
Host: nfs.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "metadata": {},
  "properties": {
    "name": "example-export",
    "quota": 512,
    "clientGroups": [
      {
        "ipNetworks": [
          "10.234.50.0/24"
        ],
        "hosts": [
          "10.234.62.123"
        ],
        "nfs": {
          "squash": "all-anonymous"
        }
      }
    ]
  }
}
{
  "id": "7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
  "type": "share",
  "href": "/clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "nfsPath": "/123e4567-e89b-12d3-a456-426614174222",
    "used": 134217728
  },
  "properties": {
    "name": "example-export",
    "quota": 512,
    "clientGroups": [
      {
        "ipNetworks": [
          "10.234.50.0/24"
        ],
        "hosts": [
          "10.234.62.123"
        ],
        "nfs": {
          "squash": "all-anonymous"
        }
      }
    ]
  }
}

Last updated

Was this helpful?